#
# spec file for package cedict
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cedict
# Set version as official release date
Version:        20141224
Release:        bp156.3.1
Summary:        Free Chinese-English Dictionary in EDICT Format
License:        CC-BY-SA-3.0 and GPL-2.0+
Group:          System/I18n/Chinese
Url:            http://www.mdbg.net/chindict/chindict.php?page=cedict
Source0:        http://www.mdbg.net/chindict/export/cedict/%{name}_1_0_ts_utf-8_mdbg.zip
Source1:        cedict-format.pl
Source11:       README.SUSE
BuildRequires:  dos2unix
BuildRequires:  unzip
Provides:       locale(gjiten:zh)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a free Chinese-English dictionary that can be used, for
example, with Gjiten.

The objective of the CEDICT project is to create an online,
downloadable (as opposed to searchable-only) public-domain
Chinese-English dictionary. For the most part, the project is modelled
on Jim Breen's highly successful EDICT (Japanese-English dictionary)
project and is intended to be a collaborative effort with users
providing entries and corrections to the main file.

%prep
cp %{SOURCE0} .
unzip %{name}_1_0_ts_utf-8_mdbg.zip
cp %{SOURCE11} .
chmod 755 $RPM_SOURCE_DIR/cedict-format.pl

%build

%install
mkdir -p %{buildroot}%{_datadir}/edict
dos2unix < cedict_ts.u8 | $RPM_SOURCE_DIR/cedict-format.pl  > %{buildroot}%{_datadir}/edict/cedict_ts.u8
chmod 644 %{buildroot}%{_datadir}/edict/cedict_ts.u8

%files
%defattr(-, root, root)
%doc README.SUSE
%dir %{_datadir}/edict/
%{_datadir}/edict/cedict_ts.u8

%changelog
* Sat Jan 17 2015 i@marguerite.su
- fix for factory commit
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 20141224
- A little specfile cleanup
* Fri Jan 13 2012 cfarrell@suse.com
- license update: CC-BY-SA-3.0 and GPL-2.0+
  The format perl script is GPL-2.0+ licensed
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Fri Feb 27 2009 anicka@suse.cz
- update to 20090227
* Tue Jun 19 2007 mfabian@suse.de
- update to 20070331 tracking current additions
* Wed Sep  6 2006 mfabian@suse.de
- add "Provides: locale(gjiten:zh)".
* Wed Sep  6 2006 mfabian@suse.de
- use dos2unix to convert dos line endings and change the Emacs
  coding cookie at the top of the file accordingly.
* Wed Sep  6 2006 mfabian@suse.de
- update to 20060830.
  (website changed from http://www.mandarintools.com/cedict.html
  to http://www.mdbg.net/chindict/chindict.php).
* Wed Sep  6 2006 mfabian@suse.de
- add "chmod 755 $RPM_SOURCE_DIR/cedict-format.pl" to make
  it build in the openSUSE build service.
  Permissions for any file in $RPM_SOURCE_DIR are nowhere guaranteed
  to be preserved.
* Wed Sep  6 2006 mfabian@suse.de
- update to 20051221.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu May 19 2005 mfabian@suse.de
- new package cedict, version 20050411.
